Bug #23134

You should not be able to hear pre-release voice-overs when the language is not English

Added by Richard Hilton over 3 years ago. Updated about 1 year ago.

Status:Closed - FixedStart date:03/28/2016
Classification:Public ItemDue date:
Assignee:-% Done:

100%

Category:-
Target version:Public Bug Reports - 2.5.17.0
Found In Version:

Description

  1. Change the language to anything other than English, quit and restart the game
  2. Start a new SoD game
  3. Bring up one of Phossey's lines: C:Eval('DisplayStringHead(Player1,38367)')

Observed
You hear Phossey's old voice-over that was removed prior to SoD's release. The SoD content in the non-English TLKs is out of date.

Expected
You should not hear Phossey's pre-release voice-over. The non-English TLKs should be up to date with the English TLK.

Notes
This bug affects thousands of strings. All the non-English TLKs have outdated sound references, quest and item texts are wrong or have placeholders, the female soundset 7 is incomplete, the credits contain misspelled voice actors etc.

Internal report #22028

History

#1 Updated by Richard Hilton over 3 years ago

  • Status changed from New to Submitted

#2 Updated by Anders Svensson over 3 years ago

  • Target version deleted (Next Update)

#3 Updated by Filip Flechtner over 3 years ago

  • Target version set to Next Update

#4 Updated by Jeff "Cerevant" Payne over 3 years ago

  • Classification changed from C - Minor to Public Item

#5 Updated by Filip Flechtner over 3 years ago

  • Description updated (diff)
  • Target version deleted (Next Update)

#6 Updated by Filip Flechtner almost 2 years ago

  • Subject changed from You should not be able to see pre-release content when the language is not English to You should not be able to hear pre-release voice-overs when the language is not English
  • Description updated (diff)
  • Status changed from Submitted to Closed - Fixed
  • Target version set to Next Update
  • % Done changed from 0 to 100

Fixed in v2.5.3.0, though the fix only resolved the problem of the outdated voice-overs, not the outdated text. I've updated the title accordingly.

#7 Updated by Anders Svensson about 1 year ago

  • Target version changed from Next Update to 2.5.17.0

Also available in: Atom PDF